﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using HeuristicLab.Services.Optimization.Billing.Interfaces;
using HeuristicLab.Services.Optimization.Billing.Business;
using HeuristicLab.Services.Optimization.Web.Models;
using HeuristicLab.Services.Optimization.Billing.Model;
using HeuristicLab.Services.Optimization.Web.Helpers;

namespace HeuristicLab.Services.Optimization.Web.Controllers {
  [BillingFilterActionAttribute]
  public class UsageController : BaseController {
    private IOptimizationBilling billing = BillingServiceProvider.Instance;
    //
    // GET: /Usage/

    public ActionResult Index() {
      if (RedirectToLoginIfNecessary("%2fUsage", false)) {
        return View();
      }
      var records = billing.GetUsageRecords(UserName);
      return View(new UsageModel() { Records = records != null ? records : new List<UsageRecord>() });
    }

  }
}
